Page MenuHomePhabricator

Editing Lexeme: Check permission in APIs
Closed, ResolvedPublic

Description

  • wbeditentity (_should_ be protected already!?)
  • wbladdform
  • wbleditformelements
  • wblremoveform

Should be implemented for all ChangeOps already through repo/includes/ChangeOp/ChangeOpBase.php

Q: on API level or inside the individual ChangeOps/Entity/...?

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterapi errors: assert keys instead of messages
mediawiki/extensions/WikibaseLexeme : masterEditing Lexeme: Check permission in APIs

Event Timeline

Pablo-WMDE triaged this task as Normal priority.Mar 28 2018, 11:29 AM
Pablo-WMDE created this task.
Pablo-WMDE updated the task description. (Show Details)Mar 28 2018, 11:33 AM
Pablo-WMDE removed the point value for this task.Mar 28 2018, 11:36 AM
Pablo-WMDE moved this task from To Do to Doing on the Wikidata-Turtles-18.03.28 board.

Change 423948 had a related patch set (by Pablo Grass (WMDE)) published:
[mediawiki/extensions/WikibaseLexeme@master] Editing Lexeme: Check permission in APIs

https://gerrit.wikimedia.org/r/423948

Pablo-WMDE removed Pablo-WMDE as the assignee of this task.Apr 4 2018, 3:53 PM
Pablo-WMDE moved this task from Doing to Peer Review on the Wikidata-Turtles-18.03.28 board.

Change 423948 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Editing Lexeme: Check permission in APIs

https://gerrit.wikimedia.org/r/423948

Lydia_Pintscher closed this task as Resolved.Apr 6 2018, 9:36 AM
Lydia_Pintscher assigned this task to Pablo-WMDE.

Change 424534 had a related patch set (by Pablo Grass (WMDE)) published:
[mediawiki/extensions/WikibaseLexeme@master] api errors: assert keys instead of messages

https://gerrit.wikimedia.org/r/424534

Change 424534 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] api errors: assert keys instead of messages

https://gerrit.wikimedia.org/r/424534